# sutty-base-jekyll-theme

CAMBIAME: Esta es una plantilla base para comenzar cualquier plantilla
relacionada con Sutty, con el entorno de desarrollo que usamos según
nuestro flujo de trabajo.

La instalación de esta gema se realiza bifurcando el desarrollo de esta
usando git, por ejemplo:

```bash
# Hacer un fork local desde sutty-base-jekyll-theme a nuestra plantilla
git clone https://0xacab.org/sutty/jekyll/sutty-base-jekyll-theme.git \
  CAMBIAME-jekyll-theme
cd CAMBIAME-jekyll-theme

# Sutty-base ahora es el proyecto base, desde el que podemos tomar
# cambios, pero no enviamos para no mezclar las cosas
git remote rename origin upstream

# Agregamos el repositorio donde vamos a enviar y publicar cambios
git remote add origin \
  git@0xacab.org:sutty/jekyll/CAMBIAME-jekyll-theme.git

# Configuramos git para que envíe siempre los cambios al repositorio
# nuevo
git push --set-upstream origin master
```

Para empezar, hay que buscar y reemplazar en todos los archivos donde
diga `CAMBIAME`.

También hay que instalar las dependencias de CSS y JS con `yarn`.

## Publicación

Para publicar la plantilla, primero hay que cambiar el nombre al archivo
`sutty-base-jekyll-theme.gemspec`:

```bash
git mv {sutty-base,CAMBIAME}-jekyll-theme.gemspec
```

Cada vez que actualicemos la gema hay que editar
`CAMBIAME-jekyll-theme.gemspec` para cambiar la versión.

Y luego para compilar y publicar la gema:

```bash
gem build CAMBIAME-jekyll-theme.gemspec
gem push CAMBIAME-VERSION.gemspec
```

También hay que actualizar la versión en el
[skel](https://0xacab.org/sutty/skel.sutty.nl/).


## Installation

Add this line to your Jekyll site's `Gemfile`:

```ruby
gem "CAMBIAME-jekyll-theme"
```

And add this line to your Jekyll site's `_config.yml`:

```yaml
theme: CAMBIAME-jekyll-theme
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install CAMBIAME-jekyll-theme

## Usage

CAMBIAME

## Contributing

Bug reports and pull requests are welcome on 0xacab.org at
https://0xacab.org/sutty/jekyll/CAMBIAME-jekyll-theme. This project is
intended to be a safe, welcoming space for collaboration, and
contributors are expected to adhere to the [Sutty's code of
conduct](http://sutty.nl/en/code-of-conduct).

## Development

To set up your environment to develop this theme, run `bundle install`.

Your theme is setup just like a normal Jekyll site! To test your theme,
run `bundle exec jekyll serve` and open your browser at
`http://localhost:4000`. This starts a Jekyll server using your
theme. Add pages, documents, data, etc. like normal to test your theme's
contents. As you make modifications to your theme and to your content,
your site will regenerate and you should see the changes in the browser
after a refresh, just like normal.

When your theme is released, only the files in `_layouts`, `_includes`,
`_sass` and `assets` tracked with Git will be bundled.

To add a custom directory to your theme-gem, please edit the array in
`CAMBIAME-jekyll-theme.gemspec` accordingly.

## License

The theme is available as open source under the terms of the [Antifacist
MIT License](LICENSE.txt).

